---
title: "Find or Create Invite"
slug: "find-or-create-invite"
status: "update"
updated: 2026-09-15T14:02:54Z
published: 2026-09-15T14:02:54Z
canonical: "developer.rocket.chat/find-or-create-invite"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Find or Create Invite
Post/api/v1/findOrCreateInvite
Creates or return an existing invite with the specified parameters.
[Permission](https://docs.rocket.chat/docs/permissions) required: `create-invite-links`
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"rid": "csFYrDeixJG7PnrAh",
"days": 10,
"maxUses": 0
}
```
object ridstring Required
The room ID that the invite is being created for.
daysinteger Required
The number of days that the invite will be valid for. Send `0` for unlimited.
maxUsesinteger Required
The number of times that the invite can be used. Send `0` for unlimited.
Responses200
OK
Success
```json
[
{
"_id": "kDKQ3H",
"days": 1,
"maxUses": 1,
"rid": "s7CE842q9WtvLctD7",
"userId": "sNiDqHit5nGAGFg8X",
"createdAt": "2019-12-20T03:31:56.774Z",
"expires": "2019-12-21T03:31:56.774Z",
"uses": 1,
"_updatedAt": "2019-12-20T03:33:40.065Z"
},
{
"_id": "99ScEP",
"days": 1,
"maxUses": 0,
"rid": "s7CE842q9WtvLctD7",
"userId": "sNiDqHit5nGAGFg8X",
"createdAt": "2019-12-20T03:38:20.485Z",
"expires": "2019-12-21T03:38:20.485Z",
"uses": 0,
"_updatedAt": "2019-12-20T03:38:20.485Z"
},
{
"_id": "Y5JKM4",
"days": 0,
"maxUses": 1,
"rid": "s7CE842q9WtvLctD7",
"userId": "sNiDqHit5nGAGFg8X",
"createdAt": "2019-12-20T03:38:25.313Z",
"expires": null,
"uses": 1,
"_updatedAt": "2019-12-20T03:38:40.116Z"
}
]
```
Array of object object _idstring
daysinteger
maxUsesinteger
ridstring
userIdstring
createdAtstring
expiresstring | null
usesinteger
_updatedAtstring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring